Page MenuHomePhabricator

Don't access the Vue-$parent, but use props
Closed, ResolvedPublic

Description

Instead of using this.$parent.$data.id in our Vue components to access the guid of the parent, we should propagate this via props, so that the components aren't more tightly coupled than absolutely needed.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterTR: Don't use $parent, but props to pass the guid

Event Timeline

hoo created this task.Nov 18 2019, 3:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2019, 3:37 PM
hoo claimed this task.Nov 19 2019, 1:15 PM
hoo moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint5 board.

Change 552029 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] TR: Don't use $parent, but props to pass the guid

https://gerrit.wikimedia.org/r/552029

Change 552029 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] TR: Don't use $parent, but props to pass the guid

https://gerrit.wikimedia.org/r/552029

Lydia_Pintscher closed this task as Resolved.Nov 25 2019, 1:39 PM